Class | YARD::Handlers::Ruby::AttributeHandler
In: | lib/yard/handlers/ruby/attribute_handler.rb
Parent: | YARD::Handlers::Ruby::Base

Handles +attr_*+ statements in modules/classes

### Methods

validated_attribute_names

### Protected Instance methods

validated_attribute_names(params)

Strips out any non-essential arguments from the attr statement.

@param [Array<Parser::Ruby::AstNode>] params a list of the parameters

      in the attr call.

@return [Array<String>] the validated attribute names @raise [Parser::UndocumentableError] if the arguments are not valid.

[Validate]